Bug 1029685 - Facter :cart_list fails silently, fact should be removed
Facter :cart_list fails silently, fact should be removed
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Jhon Honce
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-12 17:25 EST by Jhon Honce
Modified: 2015-05-14 19:32 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-29 19:50:09 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jhon Honce 2013-11-12 17:25:15 EST
Description of problem:
Facter :cart_list fails silently and returns no values

Version-Release number of selected component (if applicable):


How reproducible:
Always, the supporting command oo-cartridge-list was deleted.

Steps to Reproduce:
1.
2.
3.

Actual results:
fact is empty

Expected results:
fact no longer supported

Additional info:
Comment 1 openshift-github-bot 2013-11-12 19:20:37 EST
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/4e94c47a381f3cfd168e9add0383414202aa96e5
Bug 1029685 - Remove :cart_list fact

* Has been broken for last 3 months, no one complained.
Comment 2 Qiushui Zhang 2013-11-13 21:58:44 EST
Tested on devenv_4030.

The code is merged in.

But no error is given when doing "facter cart_list" or any other non-existed content. It just fails silently.

[root@ip-10-118-161-73 ~]# facter sshfp
ip-10-118-161-73 IN SSHFP 1 1 0531449c7719704890d44d256b4227b8432e4b0a
[root@ip-10-118-161-73 ~]# facter cart_list
[root@ip-10-118-161-73 ~]# facter test_facter_error


I have tried on old stage instance, e.g. devenv-stage_486, devenv-stage_528.
The behaviour is totally the same.

Mark the bug as "ASSIGNED" to make sure current status is OK (or not).
Comment 3 Jhon Honce 2013-11-14 10:44:04 EST
facter reports unknown keys as nulls. To ensure cart_list is not being provided use grep. E.g.,

$ facter |grep sshfp
(output from grep)

vs

$ facter |grep cart_list
(nothing)
Comment 4 Meng Bo 2013-11-14 21:01:28 EST
[root@ip-10-185-56-240 ~]# facter |grep cart_list
[root@ip-10-185-56-240 ~]# 

Checked again on devenv_4038 according comment#3, there is nothing returned when grep the cart_list.

Move bug to verified.

Note You need to log in before you can comment on or make changes to this bug.